This forum is in READ-ONLY mode.
You can look around, but if you want to ask a new question, please use Stack Overflow.

Installing Symfony 2.3.3

Discuss installing Symfony 2 here

Installing Symfony 2.3.3

by sayo » Mon Aug 12, 2013 8:30 pm

Hi,

new here and making a switch to symfony.
I am stuck at installing 2.3.3

I run php composer.phar install and get
errors each time.

help please
sayo
Junior Member
 
Posts: 2
Joined: Mon Aug 12, 2013 8:00 pm

Re: Installing Symfony 2.3.3

by tiagojsag » Mon Aug 12, 2013 9:42 pm

Hi,

First of all, welcome :)
Second, the forum is moderated, so don't double post :o
Third, how do you expect anyone to help you if you don't say which error you have? :shock:
Have you tried googling it? Searching the forum for it?

cheers
Tiago Garcia
@tiagojsag

Core Web Developer @ Shopware
http://www.shopware.de
User avatar
tiagojsag
Faithful Member
 
Posts: 885
Joined: Wed Aug 10, 2011 4:58 pm

Re: Installing Symfony 2.3.3

by sayo » Mon Aug 12, 2013 9:45 pm

Yeah.

I posted twice before realising the forum
is moderated. Sorry :D

ERROR:
C:\wamp\www\Symfony>php composer.phar install
Loading composer repositories with package information
Installing dependencies from lock file
Your requirements could not be resolved to an installable set of packages.

Problem 1
- symfony/icu v1.2.0 requires lib-icu >=4.4 -> the requested linked library
icu has the wrong version installed or is missing from your system, make sure to
have the extension providing it.
- symfony/icu v1.2.0 requires lib-icu >=4.4 -> the requested linked library
icu has the wrong version installed or is missing from your system, make sure to
have the extension providing it.
- Installation request for symfony/icu v1.2.0 -> satisfiable by symfony/icu[
v1.2.0].
sayo
Junior Member
 
Posts: 2
Joined: Mon Aug 12, 2013 8:00 pm

Re: Installing Symfony 2.3.3

by tiagojsag » Tue Aug 13, 2013 10:13 am

ICU is installed with PHP Intl extension, which you are probably missing.

cheers
Tiago Garcia
@tiagojsag

Core Web Developer @ Shopware
http://www.shopware.de
User avatar
tiagojsag
Faithful Member
 
Posts: 885
Joined: Wed Aug 10, 2011 4:58 pm

Re: Installing Symfony 2.3.3

by nymo » Wed Aug 14, 2013 9:22 am

Which means you should check your php.ini file and look for this entyry:
extension = php_intl.dll
If you cannot find it or it is commented then add it or uncomment it.
nymo
Senior Member
 
Posts: 174
Joined: Fri Jan 07, 2011 11:37 pm
Location: Germany

Re: Installing Symfony 2.3.3

by GianniErre » Sun Nov 24, 2013 7:21 pm

I have the same problem, and the extension = php_intl.dll file has no ; before it, so if I am not mistaken it means it is not commented, so what should I do to fix this issue?

As I appreciate this is a problem common with version 2.3 I was starting to think that I had better install previous version, that is 2.2.10, do you think that would work?
User avatar
GianniErre
Junior Member
 
Posts: 26
Joined: Sun Nov 24, 2013 5:42 pm

Re: Installing Symfony 2.3.3

by GianniErre » Mon Nov 25, 2013 3:44 pm

Just yesterday I tried out something I read on some forums - I owe him/her credit - that is launchin

composer update


Mind, I understand update is different from auto-update or autoupdate commands, either way that did the trick for me and fixed the issue.
User avatar
GianniErre
Junior Member
 
Posts: 26
Joined: Sun Nov 24, 2013 5:42 pm

Re: Installing Symfony 2.3.3

by nymo » Mon Nov 25, 2013 7:10 pm

What is your exact error message? And have you also checked that intl extension is activated for example when you create a file info.php file with following content:

Code: Select all
<?php
phpinfo();
nymo
Senior Member
 
Posts: 174
Joined: Fri Jan 07, 2011 11:37 pm
Location: Germany